# List seasons

Section: Your data › PVP tracker

```
GET https://ba.joexyz.online/api/v1/me/pvp/seasons
```

Lists your seasons: active ones in display order, then archived ones.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Example responses

### 200 OK

```json
{
  "data": [
    {
      "id": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx",
      "createdAt": "2026-09-07T18:08:28.941Z",
      "name": "S11 Outdoor",
      "gameServer": "EU",
      "seasonNumber": 11,
      "sortOrder": 0
    },
    {
      "id": "kh7899z6qn3jn8ym3qcax158098f9d82",
      "createdAt": "2026-09-28T21:57:44.879Z",
      "name": "[SYSTEM] S11 Outdoor",
      "gameServer": "JP",
      "seasonNumber": 11,
      "sortOrder": 1
    },
    {
      "id": "kh724q90ftg12dyr6cw3f01cn57tsedq",
      "createdAt": "2025-11-04T13:45:21.338Z",
      "name": "S9 Indoor",
      "archived": true,
      "gameServer": "EU",
      "seasonNumber": 9
    }
  ]
}
```

## Examples

### cURL

```bash
curl https://ba.joexyz.online/api/v1/me/pvp/seasons \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/pvp/seasons", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/pvp/seasons"
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/pvp/seasons", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
